# Textfield.InputFilter (Javadocs: controlP5)
Date: 2014-04-27

controlP5

## Enum Textfield.InputFilter

- java.lang.Object
- - java.lang.Enum<Textfield.InputFilter>
  - - controlP5.Textfield.InputFilter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Textfield.InputFilter>

Enclosing class:
  Textfield

    public static enum Textfield.InputFilter
    extends java.lang.Enum<Textfield.InputFilter>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BITFONT`
`DEFAULT`
`FLOAT`
`INTEGER`

### Method Summary

Methods
`static Textfield.InputFilter` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Textfield.InputFilter[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BITFONT

    public static final Textfield.InputFilter BITFONT

#### DEFAULT

    public static final Textfield.InputFilter DEFAULT

#### FLOAT

    public static final Textfield.InputFilter FLOAT

#### INTEGER

    public static final Textfield.InputFilter INTEGER

### Method Detail

#### valueOf

    public static Textfield.InputFilter valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### values

    public static Textfield.InputFilter[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Textfield.InputFilter c : Textfield.InputFilter.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared